curl --request POST \
--url https://api.leadping.ai/leads \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"metadata": {
"trustedFormUrl": "<string>",
"utmSource": "<string>",
"utmMedium": "<string>",
"utmCampaign": "<string>",
"utmTerm": "<string>",
"utmContent": "<string>",
"referrer": "<string>",
"landingPage": "<string>",
"subId": "<string>",
"pubId": "<string>",
"ipAddress": "<string>",
"userAgent": "<string>",
"externalId": "<string>",
"sellerLeadId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"price": 123,
"directPostPrice": 123,
"product": "<string>",
"vertical": "<string>",
"complianceStatus": "<string>",
"complianceBlockedReason": "<string>",
"sourceMetadata": {},
"origin": "<string>",
"importBatchId": "<string>",
"isImported": true,
"assignedPhoneNumberId": "<string>",
"smsConsentStatus": "<string>",
"smsOptedOut": true,
"smsOptOutAt": "2023-11-07T05:31:56Z",
"smsOptInAt": "2023-11-07T05:31:56Z",
"smsHelpRequestedAt": "2023-11-07T05:31:56Z",
"smsConsentPhoneNumber": "<string>",
"trustedFormCheckedAt": "2023-11-07T05:31:56Z",
"userId": "<string>",
"organizationId": "<string>"
},
"contact": {
"firstName": "<string>",
"lastName": "<string>",
"streetAddress": {
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"state": "<string>",
"province": "<string>",
"region": "<string>",
"postalCode": "<string>",
"country": "<string>",
"additionalInfo": "<string>"
},
"coordinate": {
"latitude": 123,
"longitude": 123
},
"timeZoneId": "<string>",
"phone": {
"phoneIdentityId": "<string>",
"number": "<string>",
"type": "<string>"
},
"email": "jsmith@example.com",
"avatarUrl": "<string>"
},
"customer": {
"height": 123,
"weight": 123,
"birthDate": "2023-12-25",
"income": 123,
"isHomeowner": true,
"monthsAtResidence": 123,
"creditScore": 123,
"hasBankruptcy": true,
"numberOfDependents": 123,
"hasMedicalCondition": true
},
"tagIds": [
"<string>"
],
"tagNames": [
"<string>"
]
}
'import requests
url = "https://api.leadping.ai/leads"
payload = {
"metadata": {
"trustedFormUrl": "<string>",
"utmSource": "<string>",
"utmMedium": "<string>",
"utmCampaign": "<string>",
"utmTerm": "<string>",
"utmContent": "<string>",
"referrer": "<string>",
"landingPage": "<string>",
"subId": "<string>",
"pubId": "<string>",
"ipAddress": "<string>",
"userAgent": "<string>",
"externalId": "<string>",
"sellerLeadId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"price": 123,
"directPostPrice": 123,
"product": "<string>",
"vertical": "<string>",
"complianceStatus": "<string>",
"complianceBlockedReason": "<string>",
"sourceMetadata": {},
"origin": "<string>",
"importBatchId": "<string>",
"isImported": True,
"assignedPhoneNumberId": "<string>",
"smsConsentStatus": "<string>",
"smsOptedOut": True,
"smsOptOutAt": "2023-11-07T05:31:56Z",
"smsOptInAt": "2023-11-07T05:31:56Z",
"smsHelpRequestedAt": "2023-11-07T05:31:56Z",
"smsConsentPhoneNumber": "<string>",
"trustedFormCheckedAt": "2023-11-07T05:31:56Z",
"userId": "<string>",
"organizationId": "<string>"
},
"contact": {
"firstName": "<string>",
"lastName": "<string>",
"streetAddress": {
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"state": "<string>",
"province": "<string>",
"region": "<string>",
"postalCode": "<string>",
"country": "<string>",
"additionalInfo": "<string>"
},
"coordinate": {
"latitude": 123,
"longitude": 123
},
"timeZoneId": "<string>",
"phone": {
"phoneIdentityId": "<string>",
"number": "<string>",
"type": "<string>"
},
"email": "jsmith@example.com",
"avatarUrl": "<string>"
},
"customer": {
"height": 123,
"weight": 123,
"birthDate": "2023-12-25",
"income": 123,
"isHomeowner": True,
"monthsAtResidence": 123,
"creditScore": 123,
"hasBankruptcy": True,
"numberOfDependents": 123,
"hasMedicalCondition": True
},
"tagIds": ["<string>"],
"tagNames": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.leadping.ai/leads");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"metadata\": {\n \"trustedFormUrl\": \"<string>\",\n \"utmSource\": \"<string>\",\n \"utmMedium\": \"<string>\",\n \"utmCampaign\": \"<string>\",\n \"utmTerm\": \"<string>\",\n \"utmContent\": \"<string>\",\n \"referrer\": \"<string>\",\n \"landingPage\": \"<string>\",\n \"subId\": \"<string>\",\n \"pubId\": \"<string>\",\n \"ipAddress\": \"<string>\",\n \"userAgent\": \"<string>\",\n \"externalId\": \"<string>\",\n \"sellerLeadId\": \"<string>\",\n \"createdAt\": \"2023-11-07T05:31:56Z\",\n \"price\": 123,\n \"directPostPrice\": 123,\n \"product\": \"<string>\",\n \"vertical\": \"<string>\",\n \"complianceStatus\": \"<string>\",\n \"complianceBlockedReason\": \"<string>\",\n \"sourceMetadata\": {},\n \"origin\": \"<string>\",\n \"importBatchId\": \"<string>\",\n \"isImported\": true,\n \"assignedPhoneNumberId\": \"<string>\",\n \"smsConsentStatus\": \"<string>\",\n \"smsOptedOut\": true,\n \"smsOptOutAt\": \"2023-11-07T05:31:56Z\",\n \"smsOptInAt\": \"2023-11-07T05:31:56Z\",\n \"smsHelpRequestedAt\": \"2023-11-07T05:31:56Z\",\n \"smsConsentPhoneNumber\": \"<string>\",\n \"trustedFormCheckedAt\": \"2023-11-07T05:31:56Z\",\n \"userId\": \"<string>\",\n \"organizationId\": \"<string>\"\n },\n \"contact\": {\n \"firstName\": \"<string>\",\n \"lastName\": \"<string>\",\n \"streetAddress\": {\n \"line1\": \"<string>\",\n \"line2\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"province\": \"<string>\",\n \"region\": \"<string>\",\n \"postalCode\": \"<string>\",\n \"country\": \"<string>\",\n \"additionalInfo\": \"<string>\"\n },\n \"coordinate\": {\n \"latitude\": 123,\n \"longitude\": 123\n },\n \"timeZoneId\": \"<string>\",\n \"phone\": {\n \"phoneIdentityId\": \"<string>\",\n \"number\": \"<string>\",\n \"type\": \"<string>\"\n },\n \"email\": \"jsmith@example.com\",\n \"avatarUrl\": \"<string>\"\n },\n \"customer\": {\n \"height\": 123,\n \"weight\": 123,\n \"birthDate\": \"2023-12-25\",\n \"income\": 123,\n \"isHomeowner\": true,\n \"monthsAtResidence\": 123,\n \"creditScore\": 123,\n \"hasBankruptcy\": true,\n \"numberOfDependents\": 123,\n \"hasMedicalCondition\": true\n },\n \"tagIds\": [\n \"<string>\"\n ],\n \"tagNames\": [\n \"<string>\"\n ]\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.post("https://api.leadping.ai/leads")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"metadata\": {\n \"trustedFormUrl\": \"<string>\",\n \"utmSource\": \"<string>\",\n \"utmMedium\": \"<string>\",\n \"utmCampaign\": \"<string>\",\n \"utmTerm\": \"<string>\",\n \"utmContent\": \"<string>\",\n \"referrer\": \"<string>\",\n \"landingPage\": \"<string>\",\n \"subId\": \"<string>\",\n \"pubId\": \"<string>\",\n \"ipAddress\": \"<string>\",\n \"userAgent\": \"<string>\",\n \"externalId\": \"<string>\",\n \"sellerLeadId\": \"<string>\",\n \"createdAt\": \"2023-11-07T05:31:56Z\",\n \"price\": 123,\n \"directPostPrice\": 123,\n \"product\": \"<string>\",\n \"vertical\": \"<string>\",\n \"complianceStatus\": \"<string>\",\n \"complianceBlockedReason\": \"<string>\",\n \"sourceMetadata\": {},\n \"origin\": \"<string>\",\n \"importBatchId\": \"<string>\",\n \"isImported\": true,\n \"assignedPhoneNumberId\": \"<string>\",\n \"smsConsentStatus\": \"<string>\",\n \"smsOptedOut\": true,\n \"smsOptOutAt\": \"2023-11-07T05:31:56Z\",\n \"smsOptInAt\": \"2023-11-07T05:31:56Z\",\n \"smsHelpRequestedAt\": \"2023-11-07T05:31:56Z\",\n \"smsConsentPhoneNumber\": \"<string>\",\n \"trustedFormCheckedAt\": \"2023-11-07T05:31:56Z\",\n \"userId\": \"<string>\",\n \"organizationId\": \"<string>\"\n },\n \"contact\": {\n \"firstName\": \"<string>\",\n \"lastName\": \"<string>\",\n \"streetAddress\": {\n \"line1\": \"<string>\",\n \"line2\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"province\": \"<string>\",\n \"region\": \"<string>\",\n \"postalCode\": \"<string>\",\n \"country\": \"<string>\",\n \"additionalInfo\": \"<string>\"\n },\n \"coordinate\": {\n \"latitude\": 123,\n \"longitude\": 123\n },\n \"timeZoneId\": \"<string>\",\n \"phone\": {\n \"phoneIdentityId\": \"<string>\",\n \"number\": \"<string>\",\n \"type\": \"<string>\"\n },\n \"email\": \"jsmith@example.com\",\n \"avatarUrl\": \"<string>\"\n },\n \"customer\": {\n \"height\": 123,\n \"weight\": 123,\n \"birthDate\": \"2023-12-25\",\n \"income\": 123,\n \"isHomeowner\": true,\n \"monthsAtResidence\": 123,\n \"creditScore\": 123,\n \"hasBankruptcy\": true,\n \"numberOfDependents\": 123,\n \"hasMedicalCondition\": true\n },\n \"tagIds\": [\n \"<string>\"\n ],\n \"tagNames\": [\n \"<string>\"\n ]\n}")
.asString();const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
metadata: {
trustedFormUrl: '<string>',
utmSource: '<string>',
utmMedium: '<string>',
utmCampaign: '<string>',
utmTerm: '<string>',
utmContent: '<string>',
referrer: '<string>',
landingPage: '<string>',
subId: '<string>',
pubId: '<string>',
ipAddress: '<string>',
userAgent: '<string>',
externalId: '<string>',
sellerLeadId: '<string>',
createdAt: '2023-11-07T05:31:56Z',
price: 123,
directPostPrice: 123,
product: '<string>',
vertical: '<string>',
complianceStatus: '<string>',
complianceBlockedReason: '<string>',
sourceMetadata: {},
origin: '<string>',
importBatchId: '<string>',
isImported: true,
assignedPhoneNumberId: '<string>',
smsConsentStatus: '<string>',
smsOptedOut: true,
smsOptOutAt: '2023-11-07T05:31:56Z',
smsOptInAt: '2023-11-07T05:31:56Z',
smsHelpRequestedAt: '2023-11-07T05:31:56Z',
smsConsentPhoneNumber: '<string>',
trustedFormCheckedAt: '2023-11-07T05:31:56Z',
userId: '<string>',
organizationId: '<string>'
},
contact: {
firstName: '<string>',
lastName: '<string>',
streetAddress: {
line1: '<string>',
line2: '<string>',
city: '<string>',
state: '<string>',
province: '<string>',
region: '<string>',
postalCode: '<string>',
country: '<string>',
additionalInfo: '<string>'
},
coordinate: {latitude: 123, longitude: 123},
timeZoneId: '<string>',
phone: {phoneIdentityId: '<string>', number: '<string>', type: '<string>'},
email: 'jsmith@example.com',
avatarUrl: '<string>'
},
customer: {
height: 123,
weight: 123,
birthDate: '2023-12-25',
income: 123,
isHomeowner: true,
monthsAtResidence: 123,
creditScore: 123,
hasBankruptcy: true,
numberOfDependents: 123,
hasMedicalCondition: true
},
tagIds: ['<string>'],
tagNames: ['<string>']
})
};
fetch('https://api.leadping.ai/leads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.leadping.ai/leads"
payload := strings.NewReader("{\n \"metadata\": {\n \"trustedFormUrl\": \"<string>\",\n \"utmSource\": \"<string>\",\n \"utmMedium\": \"<string>\",\n \"utmCampaign\": \"<string>\",\n \"utmTerm\": \"<string>\",\n \"utmContent\": \"<string>\",\n \"referrer\": \"<string>\",\n \"landingPage\": \"<string>\",\n \"subId\": \"<string>\",\n \"pubId\": \"<string>\",\n \"ipAddress\": \"<string>\",\n \"userAgent\": \"<string>\",\n \"externalId\": \"<string>\",\n \"sellerLeadId\": \"<string>\",\n \"createdAt\": \"2023-11-07T05:31:56Z\",\n \"price\": 123,\n \"directPostPrice\": 123,\n \"product\": \"<string>\",\n \"vertical\": \"<string>\",\n \"complianceStatus\": \"<string>\",\n \"complianceBlockedReason\": \"<string>\",\n \"sourceMetadata\": {},\n \"origin\": \"<string>\",\n \"importBatchId\": \"<string>\",\n \"isImported\": true,\n \"assignedPhoneNumberId\": \"<string>\",\n \"smsConsentStatus\": \"<string>\",\n \"smsOptedOut\": true,\n \"smsOptOutAt\": \"2023-11-07T05:31:56Z\",\n \"smsOptInAt\": \"2023-11-07T05:31:56Z\",\n \"smsHelpRequestedAt\": \"2023-11-07T05:31:56Z\",\n \"smsConsentPhoneNumber\": \"<string>\",\n \"trustedFormCheckedAt\": \"2023-11-07T05:31:56Z\",\n \"userId\": \"<string>\",\n \"organizationId\": \"<string>\"\n },\n \"contact\": {\n \"firstName\": \"<string>\",\n \"lastName\": \"<string>\",\n \"streetAddress\": {\n \"line1\": \"<string>\",\n \"line2\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"province\": \"<string>\",\n \"region\": \"<string>\",\n \"postalCode\": \"<string>\",\n \"country\": \"<string>\",\n \"additionalInfo\": \"<string>\"\n },\n \"coordinate\": {\n \"latitude\": 123,\n \"longitude\": 123\n },\n \"timeZoneId\": \"<string>\",\n \"phone\": {\n \"phoneIdentityId\": \"<string>\",\n \"number\": \"<string>\",\n \"type\": \"<string>\"\n },\n \"email\": \"jsmith@example.com\",\n \"avatarUrl\": \"<string>\"\n },\n \"customer\": {\n \"height\": 123,\n \"weight\": 123,\n \"birthDate\": \"2023-12-25\",\n \"income\": 123,\n \"isHomeowner\": true,\n \"monthsAtResidence\": 123,\n \"creditScore\": 123,\n \"hasBankruptcy\": true,\n \"numberOfDependents\": 123,\n \"hasMedicalCondition\": true\n },\n \"tagIds\": [\n \"<string>\"\n ],\n \"tagNames\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.leadping.ai/leads",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'metadata' => [
'trustedFormUrl' => '<string>',
'utmSource' => '<string>',
'utmMedium' => '<string>',
'utmCampaign' => '<string>',
'utmTerm' => '<string>',
'utmContent' => '<string>',
'referrer' => '<string>',
'landingPage' => '<string>',
'subId' => '<string>',
'pubId' => '<string>',
'ipAddress' => '<string>',
'userAgent' => '<string>',
'externalId' => '<string>',
'sellerLeadId' => '<string>',
'createdAt' => '2023-11-07T05:31:56Z',
'price' => 123,
'directPostPrice' => 123,
'product' => '<string>',
'vertical' => '<string>',
'complianceStatus' => '<string>',
'complianceBlockedReason' => '<string>',
'sourceMetadata' => [
],
'origin' => '<string>',
'importBatchId' => '<string>',
'isImported' => true,
'assignedPhoneNumberId' => '<string>',
'smsConsentStatus' => '<string>',
'smsOptedOut' => true,
'smsOptOutAt' => '2023-11-07T05:31:56Z',
'smsOptInAt' => '2023-11-07T05:31:56Z',
'smsHelpRequestedAt' => '2023-11-07T05:31:56Z',
'smsConsentPhoneNumber' => '<string>',
'trustedFormCheckedAt' => '2023-11-07T05:31:56Z',
'userId' => '<string>',
'organizationId' => '<string>'
],
'contact' => [
'firstName' => '<string>',
'lastName' => '<string>',
'streetAddress' => [
'line1' => '<string>',
'line2' => '<string>',
'city' => '<string>',
'state' => '<string>',
'province' => '<string>',
'region' => '<string>',
'postalCode' => '<string>',
'country' => '<string>',
'additionalInfo' => '<string>'
],
'coordinate' => [
'latitude' => 123,
'longitude' => 123
],
'timeZoneId' => '<string>',
'phone' => [
'phoneIdentityId' => '<string>',
'number' => '<string>',
'type' => '<string>'
],
'email' => 'jsmith@example.com',
'avatarUrl' => '<string>'
],
'customer' => [
'height' => 123,
'weight' => 123,
'birthDate' => '2023-12-25',
'income' => 123,
'isHomeowner' => true,
'monthsAtResidence' => 123,
'creditScore' => 123,
'hasBankruptcy' => true,
'numberOfDependents' => 123,
'hasMedicalCondition' => true
],
'tagIds' => [
'<string>'
],
'tagNames' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"assignedToUserId": "<string>",
"assignedTo": {
"id": "<string>",
"name": "<string>"
},
"metadata": {
"trustedFormUrl": "<string>",
"utmSource": "<string>",
"utmMedium": "<string>",
"utmCampaign": "<string>",
"utmTerm": "<string>",
"utmContent": "<string>",
"referrer": "<string>",
"landingPage": "<string>",
"subId": "<string>",
"pubId": "<string>",
"ipAddress": "<string>",
"userAgent": "<string>",
"externalId": "<string>",
"sellerLeadId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"price": 123,
"directPostPrice": 123,
"product": "<string>",
"vertical": "<string>",
"complianceStatus": "<string>",
"complianceBlockedReason": "<string>",
"sourceMetadata": {},
"origin": "<string>",
"importBatchId": "<string>",
"isImported": true,
"assignedPhoneNumberId": "<string>",
"smsConsentStatus": "<string>",
"smsOptedOut": true,
"smsOptOutAt": "2023-11-07T05:31:56Z",
"smsOptInAt": "2023-11-07T05:31:56Z",
"smsHelpRequestedAt": "2023-11-07T05:31:56Z",
"smsConsentPhoneNumber": "<string>",
"trustedFormCheckedAt": "2023-11-07T05:31:56Z",
"userId": "<string>",
"organizationId": "<string>"
},
"contact": {
"firstName": "<string>",
"lastName": "<string>",
"streetAddress": {
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"state": "<string>",
"province": "<string>",
"region": "<string>",
"postalCode": "<string>",
"country": "<string>",
"additionalInfo": "<string>"
},
"coordinate": {
"latitude": 123,
"longitude": 123
},
"timeZoneId": "<string>",
"phone": {
"phoneIdentityId": "<string>",
"number": "<string>",
"type": "<string>"
},
"email": "jsmith@example.com",
"avatarUrl": "<string>"
},
"phoneIdentity": {
"number": "<string>",
"lookup": {
"number": "<string>",
"nationalFormat": "<string>",
"recordType": "<string>",
"fraud": "<string>",
"isValid": true,
"lineType": "Wireline",
"carrier": {
"mobileCountryCode": "<string>",
"mobileNetworkCode": "<string>",
"name": "<string>",
"normalizedCarrier": "<string>",
"type": "FixedLine",
"errorCode": "<string>"
},
"callerName": {
"name": "<string>",
"errorCode": "<string>"
},
"portability": {
"alternativeSpid": "<string>",
"alternativeCarrierName": "<string>",
"alternativeCarrierType": "<string>",
"city": "<string>",
"lineType": "<string>",
"localRoutingNumber": "<string>",
"operatingCompanyNumber": "<string>",
"portedDate": "<string>",
"portedStatus": "<string>",
"spid": "<string>",
"carrierName": "<string>",
"carrierType": "<string>",
"state": "<string>"
},
"location": {
"location": "<string>",
"state": "<string>",
"canonicalCity": "<string>",
"canonicalState": "<string>",
"countryCode": "<string>",
"coordinate": {
"latitude": 123,
"longitude": 123
},
"coordinateSource": {
"method": "<string>",
"query": "<string>"
},
"timeZoneId": "<string>",
"timeZoneSource": {
"method": "<string>",
"query": "<string>"
}
},
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"modifiedAt": "2023-11-07T05:31:56Z"
},
"providerEnrichment": {
"provider": "<string>",
"lookupType": "<string>",
"schemaVersion": 123,
"retrievedAt": "2023-11-07T05:31:56Z",
"rawRecordJson": "<string>"
},
"lastEnrichedAt": "2023-11-07T05:31:56Z",
"lookupActions": [
{
"id": "<string>",
"type": "validation",
"provider": "<string>",
"status": "succeeded",
"occurredAt": "2023-11-07T05:31:56Z",
"providerCostAmount": 123,
"providerPricingVersion": "<string>"
}
],
"name": "<string>",
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"modifiedAt": "2023-11-07T05:31:56Z"
},
"customer": {
"gender": "M",
"height": 123,
"weight": 123,
"birthDate": "2023-12-25",
"maritalStatus": "Married",
"income": 123,
"isHomeowner": true,
"monthsAtResidence": 123,
"creditScore": 123,
"hasBankruptcy": true,
"employmentType": "Employed",
"numberOfDependents": 123,
"hasMedicalCondition": true
},
"enabled": true,
"deletedAt": "2023-11-07T05:31:56Z",
"deletedByUserId": "<string>",
"archivedAt": "2023-11-07T05:31:56Z",
"archivedByUserId": "<string>",
"archiveReason": 0,
"archiveNote": "<string>",
"isArchived": true,
"currentLeadStatus": {
"id": "<string>",
"category": "Open",
"outcome": "<string>",
"displayName": "<string>",
"changedAt": "2023-11-07T05:31:56Z",
"changedByUserId": "<string>",
"changedByAutomationId": "<string>",
"source": "User"
},
"processingStatus": "Quarantined",
"processingStatusReason": "<string>",
"processingStatusChangedAt": "2023-11-07T05:31:56Z",
"tags": [
{
"id": "<string>",
"name": "<string>",
"normalizedName": "<string>",
"color": "<string>"
}
],
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"modifiedAt": "2023-11-07T05:31:56Z"
}{
"type": "about:blank",
"title": "Bad Request",
"status": 400,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Unauthorized",
"status": 401,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Forbidden",
"status": 403,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Not Found",
"status": 404,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Too Many Requests",
"status": 429,
"detail": "The request could not be completed."
}Create a lead record from an external source
Creates a source-authenticated lead captured outside Leadping, starting follow-up, routing, and automation from structured lead data.
Authorizations
Leadping source key for lead ingestion endpoints only using the Authorization header. Example: "Authorization: Bearer lp_src_...".
Body
The lead data submitted by the external system.
Defines the fields clients can send when working with lead.
Structured metadata used for attribution, integrations, and reporting on this lead request.
Show child attributes
Show child attributes
Contact details for the lead or customer represented by this lead request.
Show child attributes
Show child attributes
Demographic profile details for the lead represented by this lead request.
Show child attributes
Show child attributes
Tag IDs assigned to or filtered against this lead.
Tag names assigned to this lead when matching existing tags by name.
Indicates whether this lead request is active and available in the Leadping API.
Stable unique identifier of an existing resource to update; omit it when the API assigns an identifier during creation.
Response
Lead was successfully created.
Describes lead data returned by Leadping.
Leadping user currently responsible for this lead, or null when it is in the unassigned queue.
Identifier and display name of the active organization member assigned to this lead.
Show child attributes
Show child attributes
Structured metadata used for attribution, integrations, and reporting on this lead response.
Show child attributes
Show child attributes
Contact details for the lead or customer represented by this lead response.
Show child attributes
Show child attributes
Canonical phone identity and provider lookup details for this lead.
Show child attributes
Show child attributes
Demographic profile details for the lead represented by this lead response.
Show child attributes
Show child attributes
Indicates whether this lead response is active and available in the Leadping API.
UTC timestamp when this lead was soft deleted.
User ID of the person who soft deleted this lead.
UTC timestamp when this record was archived.
User ID of the person who archived this record.
Defines why a lead was removed from the active working pipeline.
0, 1, 2, 3, 4, 5, 6, 7, 8, 9 Optional note explaining why the lead was archived.
Indicates whether the lead has been archived in Leadping.
Current lead status change summary that describes the lead outcome.
Show child attributes
Show child attributes
Defines the asynchronous verification and enrichment lifecycle for a lead.
Quarantined, Verifying, Validating, Enriching, Ready, Invalid, Failed Explanation when asynchronous lead processing is blocked or fails.
UTC timestamp when the processing stage last changed.
Tags currently attached to this lead, source, or record.
Show child attributes
Show child attributes
Stable unique identifier of the resource.
UTC timestamp when the resource was created.
UTC timestamp when the resource was last modified, or null when it has not been updated.

